image: python:3.9-bullseye

variables:
  GIT_SUBMODULE_STRATEGY: recursive
  PIP_EXTRA_INDEX_URL: https://edugit.org/api/v4/projects/257/packages/pypi/simple

pages:
  stage: deploy
  before_script:
  - apt-get -y update && apt-get -y install po4a
  - pip install -r requirements.txt
  script:
  - make publish; make publish
  - cp _redirects public/
  artifacts:
    paths:
    - public/
  only:
  - master
